Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025528
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminoralways2014-01-21 23:312014-02-12 18:29
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiona990b760487b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025528: Wrong error message when posting an inventory with a line with Qty Count = Book Qty and standard cost not defined

DescriptionWrong error message is shown when posting an inventory with a line with Qty Count = Book Qty and the product does not have an standard cost defined
Steps To ReproduceAs group admin role:
   Check that a product has stock, an average cost defined for the current date and it doesn't have a standard cost defined for the current date
   Create a physical inventory and add a line with Quantity Count = Book Quantity
   Process it for that product and try to Post it
   You will get the following error:
      "Process failed during execution"
   Add a manual entry of standard type in the Product - Costing tab for that product
   Check that you could post it now
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00249993.0PR14Q2 closedAtulOpenbravo Wrong error message unposting a physical inventory when actually it does not exist any register in the fact acct 

-  Notes
(0063690)
hgbot (developer)
2014-01-27 08:07

Repository: erp/devel/pi
Changeset: a990b760487b87b49c538104cdb6419958f66af5
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Mon Jan 27 12:34:47 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a990b760487b87b49c538104cdb6419958f66af5 [^]

Fixes Issue 24999, Fixes Issue 25528: Wrong error message
When posting and unposting an inventory with a line with Qty Count = Book Qty, wrong error message is displayed

---
M src/org/openbravo/erpCommon/ad_forms/DocInventory.java
M src/org/openbravo/erpCommon/ad_forms/DocLineInventory_data.xsql
M src/org/openbravo/financial/ResetAccounting.java
---
(0063692)
pramakrishnan (developer)
2014-01-27 08:11

Code Review + Testing - OK.
(0064114)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-01-21 23:31 ngarcia New Issue
2014-01-21 23:31 ngarcia Assigned To => jonalegriaesarte
2014-01-21 23:31 ngarcia Modules => Core
2014-01-21 23:31 ngarcia Triggers an Emergency Pack => No
2014-01-21 23:38 ngarcia Issue Monitored: networkb
2014-01-21 23:45 ngarcia Relationship added related to 0024999
2014-01-22 00:40 eintelau Issue Monitored: eintelau
2014-01-23 10:44 ngarcia Assigned To jonalegriaesarte => AtulOpenbravo
2014-01-27 08:07 hgbot Checkin
2014-01-27 08:07 hgbot Note Added: 0063690
2014-01-27 08:07 hgbot Status new => resolved
2014-01-27 08:07 hgbot Resolution open => fixed
2014-01-27 08:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a990b760487b87b49c538104cdb6419958f66af5 [^]
2014-01-27 08:11 pramakrishnan Review Assigned To => pramakrishnan
2014-01-27 08:11 pramakrishnan Note Added: 0063692
2014-01-27 08:11 pramakrishnan Status resolved => closed
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064114


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker